Skip to main content
GET
/
gh
/
{ownerKeyOrId}
/
projects
/
{projectKeyOrId}
/
metrics
/
series
Get project metric series
curl --request GET \
  --url https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{projectKeyOrId}/metrics/series \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "metric": {
        "key": "CMPLX",
        "name": "Cognitive Complexity",
        "category": "maintainability",
        "inverted": true,
        "valueType": "number",
        "description": "Measures how hard the code is to understand"
      },
      "dimensions": {},
      "points": [
        {
          "timestamp": "2026-01-11T23:59:59Z",
          "value": 42
        }
      ]
    }
  ],
  "meta": {
    "from": "2025-12-01T00:00:00Z",
    "to": "2026-06-01T00:00:00Z",
    "interval": "week"
  }
}

Authorizations

Authorization
string
header
required

Generate an API token at https://qlty.sh/user/settings/tokens

Path Parameters

ownerKeyOrId
string
required

Repository owner name (login) or workspace ID

Minimum string length: 3
Example:

"acme-corp"

projectKeyOrId
string
required

Repository name or project ID

Minimum string length: 3
Example:

"my-repo"

Query Parameters

from
string<date-time>

Window start (RFC 3339 date or date-time, inclusive). Defaults to six months before to.

Example:

"2026-01-01"

to
string<date-time>

Window end (RFC 3339 date or date-time, inclusive). Defaults to the current time and is clamped to it.

Example:

"2026-06-01"

interval
enum<string>
default:week

Bucket size; buckets are UTC-aligned and weeks start Monday

Available options:
day,
week,
month
metric

Filter by metric key

Available options:
CMPLX,
DUP,
MNT,
SEC,
SIZE,
ISS,
SECI,
TDR,
FILES,
LOC,
COV,
LCOV
category

Filter by metric category

Available options:
maintainability,
reliability,
security,
size,
coverage,
quality

Response

Retrieve metric time series for the project

data
object[]
required
meta
object
required